Subject: bug#24453: Hyper and super keys don't work in some branches

From: Mambo Levis <[email-masked]>
Date: Wed, 21 Sep 2016 16:42:14 +0000 (UTC)

Eli >>With what customizations did you try that?  Yours or those suggested
by Robert? Levis >>> Robert's and my configurations are the same, it is not a problem of configuration. I made the followingtests without using Roberts configuration (lets consider the following key sequence s-a)1. In emacs 24.5 official release it works.2. In emacs master branch it also works
3. In emacs-25 branch it doesn't work4. In any emacs-25 pretest binaries it doesn't work5. In emacs 25.1 oficial release it doesn't work (currently release)
So, it is clear that the configuration is not the problem. Any idea or suggestion?

Eli>>Some combinations are expected not to work in all released versions of
Emacs; the development code on the master branch should do better.

Levis >>> Yes, in my test the master brach the key combination s-p works properly. But I don't know how stable is the master branch?

    On Wednesday, September 21, 2016 4:45 PM, Eli Zaretskii <[email-masked]> wrote:

 > Date: Wed, 21 Sep 2016 08:55:29 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, 
>     "[email-masked]" <[email-masked]>
> 
> I downloaded and tested the official emacs 25.1 relase but I still have problems:
> - If I press C-s-a it works (Notice that super key is pressed after Control)
> - If I press s-a it doesn't work.

With what customizations did you try that?  Yours or those suggested
by Robert?

Some combinations are expected not to work in all released versions of
Emacs; the development code on the master branch should do better.